"""Add base config redeployment workflow.

Revision ID: b689d4636694
Revises: 815033570ad7
Create Date: 2023-12-27 15:20:40.522053

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'b689d4636694'
down_revision = '815033570ad7'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "redeploy_base_config",
        "target": "MODIFY",
        "description": "Redeploy base config",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
