"""Add email notification task.

Revision ID: 3111c27972af
Revises: 31fd1ae8d5bb
Create Date: 2024-07-29 17:38:37.786347

"""

from uuid import uuid4

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '3111c27972af'
down_revision = '31fd1ae8d5bb'
branch_labels = None
depends_on = None

workflows = [
    {
        "name": "task_send_email_notifications",
        "target": "SYSTEM",
        "description": "Send email notifications for all failed tasks",
        "workflow_id": uuid4(),
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in workflows:
        conn.execute(
            sa.text(
                "INSERT INTO workflows VALUES (:workflow_id, :name, :target, :description, now()) ON CONFLICT DO NOTHING"
            ),
            workflow,
        )


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in workflows:
        conn.execute(sa.text("DELETE FROM workflows WHERE name = :name"), {"name": workflow["name"]})
